普段使っているRubyのバージョン

回答の条件
  • 回答したユーザーを表示
  • 途中経過を公開
  • 男性,女性
  • 20代未満,20代,30代,40代,50代,60代以上
  • 登録:2011/06/01 22:27:14
  • 終了:2011/06/02 21:54:26

回答(50 / 50件)

Q01普段使っているRubyのバージョン(択一)

1.8.61
id:kuippa
1.8.712
id:yyokid:teruokunid:tiseiid:UMEid:frsattiid:TransFreeBSDid:iwadonid:nunaid:n5v2id:windofjulyid:pairid:authorNari
1.9.11
id:tachibana26
1.9.233
id:d-_-bid:umecyaid:longicornid:debedebeid:akaneko0226id:njzid:mongrelPid:shunsukid:takano32id:fastmacid:mapleroadid:VoQnid:tmtmsid:alpicolaid:ramtigaid:masuidriveid:htzid:Sixeightid:Watsonid:mactkgid:vividcodeid:hyrrotid:rderaid:testes47id:s2_itid:deshi51id:zonu_exeid:rosylillyid:pyopyopyoid:o_showid:ssig33id:itochan315id:raa0121
trunk3
id:mputid:nagachikaid:kosaki
before 1.8.50
2.00
合計50
  • id:sora_h
    ちなみに本人なので回答できませんが,普段はtrunk使ってます.
  • id:a-kuma3
    ruby 1.6.7 (2002-04-11) [i386-mingw32]

    ふ、古過ぎる...
  • id:kuippa
    このマシンでruby -v したら1.8.6だった・・・。
    つかってなかったので、1.5系とかでてきたらどうしようかと
  • id:shunsuk
    カテゴリが「ネタ・ジョーク」になってる。ネタなのか!
  • id:iwadon
    仕事で使ってるのはこれですね:
    ruby 1.8.7 (2008-08-11 patchlevel 72) [i386-mswin32]
    これよりあとのに差し替えたら普段使っているスクリプトの処理速度が遅くなってしまったので、原因も調べずバージョンを元に戻して今に至る感じです。
    そのうち1.9.xに移行したいですが、なかなか難しいです(主にタイミング)。
  • id:sora_h
    >ID:iwadon

    うーん,遅くなるとはいえセキュリティの脆弱性が存在するのでやめたほうがいいですねえ
    1.8.7の最新パッチリリースをおすすめします.
  • id:iwadon
    用途のほとんどがデータ変換(ExcelファイルからCのヘッダやバイナリを生成)なのですが、気を付けるに越したことはないってことですかね。
    折をみてアップデートしてみます。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません